Bug 507619 - S-c-tools cleanup: 'Data & Time'-tab suggestions
S-c-tools cleanup: 'Data & Time'-tab suggestions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 493597
  Show dependency treegraph
 
Reported: 2009-06-23 10:07 EDT by Jaroslav Reznik
Modified: 2010-03-30 10:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-date-1.9.40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 10:54:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that will reorder the layout of the window. (75.46 KB, patch)
2009-07-13 10:32 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Jaroslav Reznik 2009-06-23 10:07:58 EDT
Description of problem: These are some suggestion to make 'Date & Time' tab more
user friendly.

1. rename it to 'Date and Time'
 - it's better looking than substitution of 'and' by '&' 
2. move 'Enable Network Time Protocol' with description to 'Date and Time'-tab 
 - it's very confusing if date/time pickers are insesitive when NTP enabled but you have to
switch to other tab to actually realize it 
3. in relation with 2. rename 'Enable Network Time Protocol' to 'Network Time Protocol Settings'

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-07-13 10:32:04 EDT
Created attachment 351478 [details]
Patch that will reorder the layout of the window.

I'm trying to work out some solution of this problem but I would appreciate some help. So far I create patch that reorders layout of the window - it moves whole content of the "Network Time Protocol Tab" to the "Date and time" tab. I think that this is more obvious solution, but now the tab is too crowded.

Better would be, if only the checkbox "Enable Network Time Protokol" with description moves to first tab and the rest remains where it is and the NTP tab will be accessible only when the checkbox will be checked. But I can't figure out how to make GtkNotebook's tab disabled (not sensitive). Is there any way to do that?

Can anyone (maintainer?) figure out better solution for this problem?

Any help would be appreciated.

Radek Novacek

(I will attach my current version of the patch.)
Comment 2 Nils Philippsen 2009-07-28 12:01:04 EDT
I've taken the liberty to do it slightly differently (Radek, sorry that you made your patch in vain):

    - rename "Date & Time" to "Date and Time"
    - eliminate the "Network Time Protocol" tab and move its contents to the
      "Date and Time" tab
    - rename "Enable Network Time Protocol" to "Synchronize date and time
      over the network"
    - install an invisible notebook which either shows controls to manually
      set date and time or configure NTP

I've not yet built a new version with these changes though, therefore I'll leave this bug open.
Comment 3 Bug Zapper 2009-11-16 05:19:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Radek Novacek 2010-03-24 05:02:43 EDT
Nils, can you build new version so we can close this bug?
Comment 5 Nils Philippsen 2010-03-30 10:54:48 EDT
It's already in 1.9.40.

Note You need to log in before you can comment on or make changes to this bug.